Type to search.

Get a field definition by ID

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Returns a single field definition by its ID. Requires the Cases feature to be enabled in the space.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

field_definition_id string · max length: 36 required

The identifier for the field definition.

Responses

Indicates a successful call. Returns the field definition.

application/json
definition string required

The field definition as a YAML string. New definitions are limited to 30 000 characters, but existing definitions created via internal tooling may be longer.

description string

Optional human-readable description of the field's purpose.

displayOrder integer · min: 0

Position of a global field in the case details view. Assigned by the server and changed via the Field Library reorder controls.

fieldDefinitionId string · max length: 36 required

Unique server-assigned identifier for the field definition (UUID). May be UUIDv4 for definitions created through the public API, or UUIDv5 for definitions created by internal migration processes.

isGlobal boolean

When true, this field is rendered in every case regardless of which template the case uses.

name string required

The field name. Must match the name property in the YAML definition and is unique per owner (case-insensitive). Immutable after creation.

owner string · max length: 50 required

The application that owns this field definition.